Subject: Re: [PATCH 02/12] fs_enet: Add MPC5121 FEC support.

From: David Jander <[email-masked]>
Date: Thu, 7 May 2009 10:14:48 +0200

On Thursday 07 May 2009 00:29:59 Grant Likely wrote:
> On Wed, May 6, 2009 at 4:01 PM, Wolfgang Denk <[email-masked]> wrote:
> > Dear Grant,
> >
> > in message <[email-masked]>
> > you wrote:
> >
> > ...
> >
> >> > #ifdef CONFIG_FS_ENET_HAS_FEC
> >> > +#ifdef CONFIG_FS_ENET_MPC5121_FEC
> >> > +    {
> >> > +        .compatible = "fsl,mpc5121-fec",
> >> > +        .data = (void *)&fs_fec_ops,
> >> > +    },
> >> > +#else
> >> >    {
> >> >        .compatible = "fsl,pq1-fec-enet",
> >> >        .data = (void *)&fs_fec_ops,
> >> >    },
> >> > #endif
> >> > +#endif
> >>
> >> Hmmm.  A lot of these #ifdefs in here.  Does this have a multiplatform
> >> impact?  Not to mention the fact that it's just plain ugly.  :-)
> >
> > Agreed that it's ugly, but duplicatio9ng the code would have been even
> > worse. I don't think that it has multiplatform - at least not as long
> > as you don't ask for one image that runs on 83xx and on 512x.
>
> Actually, I *am* asking for one image that runs on 83xx, 52xx and
> 521x.  I already can and do build and test a single image which boots
> on all my 52xx boards, on my 8349 board, and on my G4 Mac.

Cool! I also want that! We have different boards with 5200 and 5121e's and it 
would be terrific if one day we'd be able to use just one kernel for all of 
them!

(Sorry for being a me-too-er)

Best regards,

-- 
David Jander
Protonic Holland.